diff --git a/.editorconfig b/.editorconfig
new file mode 100644
index 0000000..9a9710a
--- /dev/null
+++ b/.editorconfig
@@ -0,0 +1,15 @@
+root = true
+
+[*]
+charset = utf-8
+end_of_line = lf
+insert_final_newline = true
+indent_style = space
+indent_size = 4
+trim_trailing_whitespace = true
+
+[*.md]
+trim_trailing_whitespace = false
+
+[*.yml]
+indent_size = 2
\ No newline at end of file
diff --git a/.env.example b/.env.example
index 27ed4c4..4f92ce1 100644
--- a/.env.example
+++ b/.env.example
@@ -1,19 +1,41 @@
 APP_ENV=production
 APP_DEBUG=false
 APP_KEY=lsXxrP1d6nUGpfGO6vQqezNy1KCuDD3o
-APP_URL=http://portal.dev
+APP_URL=http://portal.test
 
+LOG_CHANNEL=stack
+
+DB_CONNECTION=mysql
 DB_HOST=localhost
 DB_DATABASE=portal
 DB_USERNAME=homestead
 DB_PASSWORD=secret
 DB_PREFIX=vg_
 
+BROADCAST_DRIVER=log
 CACHE_DRIVER=file
-SESSION_DRIVER=database
 QUEUE_DRIVER=sync
+SESSION_DRIVER=database
+SESSION_LIFETIME=120
+
+REDIS_HOST=127.0.0.1
+REDIS_PASSWORD=null
+REDIS_PORT=6379
 
 MAIL_DRIVER=mail
 MAIL_FROM_NAME=Portal
 MAIL_FROM_ADDRESS=portal@test.dev
+MAIL_HOST=smtp.mailtrap.io
+MAIL_PORT=2525
+MAIL_USERNAME=null
+MAIL_PASSWORD=null
+MAIL_ENCRYPTION=null
+
+PUSHER_APP_ID=
+PUSHER_APP_KEY=
+PUSHER_APP_SECRET=
+PUSHER_APP_CLUSTER=mt1
+
+MIX_PUSHER_APP_KEY="${PUSHER_APP_KEY}"
+MIX_PUSHER_APP_CLUSTER="${PUSHER_APP_CLUSTER}"
 
diff --git a/.gitattributes b/.gitattributes
index 95883de..e57d5ac 100644
--- a/.gitattributes
+++ b/.gitattributes
@@ -1,3 +1,4 @@
 * text=auto
 *.css linguist-vendored
+*.scss linguist-vendored
 *.less linguist-vendored
diff --git a/.gitignore b/.gitignore
index 8023638..35735a8 100644
--- a/.gitignore
+++ b/.gitignore
@@ -1,8 +1,16 @@
 .DS_Store
-/vendor
 /node_modules
-Homestead.yaml
+/public/hot
+/public/storage
+/storage/*.key
+/vendor
+/.idea
+/.vscode
+/.vagrant
 Homestead.json
+Homestead.yaml
+npm-debug.log
+yarn-error.log
 .env
-.idea
+.phpunit.result.cache
 /documentation
